# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: maturin-gnu
  version: 0.14.17
source:
  sha256: fb4e3311e8ce707843235fbe8748a05a3ae166c3efd6d2aa335b53dfc2bd3b88
  url: https://pypi.io/packages/source/m/maturin/maturin-0.14.17.tar.gz
build:
  number: 0
  string: py38h1718810_0
requirements:
  build:
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
    - rust-gnu 1.64.0 haa95532_0
    - rust-gnu_win-64 1.64.0 haa95532_1
  host:
    - ca-certificates 2023.01.10 haa95532_0
    - libffi 3.4.4 hd77b12b_0
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gmp 6.1.0 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - msys2-conda-epoch 20160418 1
    - openssl 1.1.1t h2bbff1b_0
    - pip 23.0.1 py38haa95532_0
    - python 3.8.16 h6244533_3
    - semantic_version 2.8.5 pyhd3eb1b0_0
    - setuptools 66.0.0 py38haa95532_0
    - setuptools-rust 1.5.2 py38haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tomli 2.0.1 py38haa95532_0
    - typing_extensions 4.5.0 py38haa95532_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py38haa95532_0
  run:
    - m2w64-gcc-libs
    - python >=3.8,<3.9.0a0
    - tomli >=1.1.0
test:
  commands:
    - maturin -V
    - maturin --help
    - maturin build --help
    - pip check
  imports:
    - maturin
  requires:
    - pip
about:
  description: 'This project is meant as a zero configuration replacement for setuptools-rust
    and milksnake.

    It supports building wheels for python 3.5+ on windows, linux, mac and freebsd,
    can upload them to pypi and has basic pypy support.

    '
  dev_url: https://github.com/PyO3/maturin
  doc_url: https://www.maturin.rs/
  home: https://www.maturin.rs/
  license: MIT OR Apache-2.0
  license_family: MIT
  license_file: license-mit
  summary: Build and publish crates with pyo3, rust-cpython and cffi bindings as well
    as rust binaries as python packages
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3ecfea46-955e-40dc-883b-cf1dcc347298
  recipe-maintainers:
    - apcamargo
  remote_url: git@github.com:AnacondaRecipes/maturin-feedstock.git
  sha: 5152db0c0ae2aef02fbf357d1ff7a2397310def9
